package com.gic.haoban.manage.api.dto.qdto;

import java.io.Serializable;


/**
 * 导购删除、门店转移、新增修改店长
 *
 * @author mozhu
 * @date 2022-07-15 10:33:15
 */
public class ClerkSyncQDTO implements Serializable {

    private static final long serialVersionUID = 3952563675969267345L;

    private String clerkId;
    private String oldClerkId ;

    private String storeId;

    private String clerkCode;

    private String enterpriseId;

    private Integer status;

    private Integer oldStatus;
    
    /**
     * 1:删除；2：门店转移；3：导购其他数据变动
     */
    private Integer type;

    public String getOldClerkId() {
        return oldClerkId;
    }

    public void setOldClerkId(String oldClerkId) {
        this.oldClerkId = oldClerkId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getOldStatus() {
        return oldStatus;
    }

    public void setOldStatus(Integer oldStatus) {
        this.oldStatus = oldStatus;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }
}
